Subject: Re: [PATCH v17 15/15] Documentation: prctl/seccomp_filter

From: Ryan Ware <[email-masked]>
Date: Tue, 10 Apr 2012 10:49:41 -0700

On 4/9/12 3:47 PM, "Will Drewry" <[email-masked]> wrote:

>On Mon, Apr 9, 2012 at 3:58 PM, Ryan Ware <[email-masked]> wrote:
>>
>> On 4/9/12 1:47 PM, "Markus Gutschke" <[email-masked]> wrote:
>>
>>>No matter what you do, please leave the samples accessible somewhere.
>>>They proved incredibly useful in figuring out how the API works. I am
>>>sure, other developers are going to appreciate them as well.
>>>
>>>Alternatively, if you don't want to include the samples with the
>>>kernel sources, figure out how you can include a sample in the
>>>official manual page for prctl().
>>>
>>
>> I second this!  They are extremely useful.
>>
>> Ryan
>
>In that case, would it make sense to put up a separate tools/testing
>patch and leave samples where they lie? (I'd _love_ to keep this patch
>series from acquiring another 1000 lines, but either way works :)
>
>My current tester and harness lives here:
>  https://github.com/redpig/seccomp/blob/master/tests/
>and the licensing can be sorted out prior to a patch mail.

I have absolutely no problems with that solution.  Availability is the
important thing.

Ryan